task:
  macos_instance:
    image: ghcr.io/cirruslabs/macos-ventura-xcode:14.3
  name: Build - macOS Apple Silicon
  environment:
    GITLAB_TRIGGER_TOKEN: ENCRYPTED[!5fb4bbdecbde3b2c766ac7383dca573cd5ec8b815c5ac9bede0cadfe9ad70ecd3e64b1728f7840da087099f3fc1fd4f7!]
  homebrew_script:
    # The following update-reset is a workaround for this issue: https://github.com/Homebrew/homebrew-bundle/issues/1179
    - brew update-reset
    - unset HOMEBREW_NO_AUTO_UPDATE
    - brew bundle --file .ci/macos/Brewfile
  aqt_script:
    - pip3 install aqtinstall
    - mkdir $HOME/Qt
    - aqt install-qt --outputdir $HOME/qt mac desktop 6 clang_64 -m qtlocation qtimageformats qtmultimedia qtpositioning qtshadertools
  build_script:
    - export QTPATH=($HOME/qt/6.*/macos/bin)
    - export PATH="$QTPATH:${PATH}"
    - ./.ci/macos/build.sh
  zip_script:
    - ditto -c -k --sequesterRsrc --keepParent nheko.app nheko.zip
  gitlab_script:
    - >
      [ "${CIRRUS_BRANCH}" == "master" ] && curl -X POST --fail -F token="${GITLAB_TRIGGER_TOKEN}" -F ref="${CIRRUS_BRANCH}" -F "variables[TRIGGER_BUILD_ID]=${CIRRUS_BUILD_ID}" -F "variables[TRIGGERED_BY]=cirrus" "https://nheko.im/api/v4/projects/2/trigger/pipeline" || true
  binaries_artifacts:
    path: nheko.zip
